%define apache_ver %(echo `rpm -q --queryformat '%{VERSION}' apache`)
%define MAJver %(echo %version | cut -d. -f1)

%define hardeningp_ver       0.4.15
%define hardeningp_phpver    5.1.6
%define with_hardening_patch 0

Name:          php7
Version:       7.4.33
Release:       5mamba
Summary:       The PHP HTML-embedded scripting language
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.php.net/
Source0:       http://it2.php.net/distributions/php-%{version}.tar.xz
Source1:       php-httpd-conf
Source2:       php7-fpm.tmpfiles
Patch0:        http://www.hardened-php.net/hardening-patch-%{hardeningp_phpver}-%{hardeningp_ver}.patch.gz
Patch1:        php-5.0.5-phpbuilddir.patch
Patch7:        php-7.4.23-php-fpm.patch
Patch8:        php-7.4.33-openssl-3.patch
License:       PHP License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libapparmor-devel
BuildRequires: libbzip2-devel
BuildRequires: libcurl-devel
BuildRequires: libdb53-devel
BuildRequires: libe2fs-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libimap-c-client-devel
BuildRequires: libkrb5-devel
BuildRequires: libodbc-devel
BuildRequires: libonig-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libpng-devel
BuildRequires: libpostgresql-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libxcrypt-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: libzip-devel
## AUTOBUILDREQ-END
BuildRequires: apache-devel
BuildRequires: libapr-devel
BuildRequires: libaprutil-devel
#BuildRequires: libmcal-devel
#BuildRequires: libsablotron-devel
BuildRequires: gettext-devel
#BuildRequires: pear-PHP_Archive
BuildRequires: pkgconfig
BuildRequires: /usr/sbin/sendmail
BuildRequires: flex, bison
BuildRequires: re2c
BuildRequires: libmariadb-devel >= 10.4.13
Requires(pre): libapr >= 1.2.2
Requires(pre): libaprutil >= 1.2.2

%description
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

%package devel
Summary:       Development package for PHP5
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The php-devel package lets you compile dynamic extensions to PHP5.
Included here is the source for the PHP extensions.
Instead of recompiling the whole PHP binary to add support for, say, Oracle, install this package and use the new self-contained extensions support.
For more information, read the file SELF-CONTAINED-EXTENSIONS.

%package fpm
Summary:       FastCGI Process Manager for PHP
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      systemd

%description fpm
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.
This package contains the FastCGI Process Manager for PHP.

%package imap
Summary:       PHP IMAP extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description imap
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the IMAP extension for PHP.

%package ldap
Summary:       PHP LDAP extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description ldap
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the LDAP extension for PHP.

%package mysql
Summary:       PHP MySQL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description mysql
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the MySQL extensions for PHP.

%package mysqli
Summary:       PHP MySQLi extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description mysqli
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the MySQLi extensions for PHP.

%package odbc
Summary:       PHP ODBC extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{version}-%{release}

%description odbc
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the ODBC extensions for PHP.

%package opcache
Summary:       PHP OPcache extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description opcache
OPcache extension improves PHP performance by storing precompiled script bytecode in shared memory, thereby removing the need for PHP to load and parse scripts on each request.

%package openssl
Summary:       PHP OpenSSL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description openssl
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the OpenSSL extensions for PHP.

%package pdo
Summary:       PHP Data Objects Interface
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description pdo
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PHP Data Objects Interface for PHP.
Read the documentation at http://www.php.net/pdo for more information.

%package pgsql
Summary:       PHP PostgreSQL extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description pgsql
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PostgreSQL extensions for PHP.

%package sqlite
Summary:       PHP SQLite extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-pdo = %{?epoch:%epoch:}%{version}-%{release}

%description sqlite
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the SQLite extensions for PHP.

%package xsl
Summary:       PHP xslt extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description xsl
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the xslt extension for PHP.

%package zip
Summary:       PHP zip extension
Group:         System/Servers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description zip
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.
This package contains the zip extension for PHP.

%package -n apache-mod_php7
Summary:       PHP module for Apache Web Server
Group:         System/Servers
Requires(pre): apache >= %{apache_ver}
Requires(pre): %{_bindir}/apr-1-config
Requires(pre): %{_bindir}/apu-1-config
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n apache-mod_php7
PHP is an HTML-embeddable scripting language.
PHP offers built-in database integration for several commercial and non-commercial database management systems, so writing a database-enabled script with PHP is fairly simple.
The most common use of PHP coding is probably as a replacement for CGI scripts.
This package adds PHP support to the Apache Web Server.

%debug_package

%prep
%setup -q -n php-%{version}
#-D -T
#:<< _EOF
%if %with_hardening_patch
%patch 0 -p1 -b .hardening
%endif
%patch 1 -p1 -b .phpbuilddir
#%patch6 -p1
%patch 7 -p0
%patch 8 -p1 -b .openssl-3

# phpize dir
sed -i "s|@libdir@\`/build|@libdir@\`/php/build|" scripts/phpize.in

# php7 include dir
sed -E "s|(includedir[\t ]*=.*/php)|\17|g" \
     -i scripts/phpize.in

sed -e "s|\[php-config\]|\[php-config7\]|g" \
     -e "s|\(PHP_ARG_WITH(\[php-config\)7\]|\1]|g" \
     -e "s|php-config, no|php-config7, no|g" \
     -i "scripts/phpize.m4"

sed -E "s|(phpincludedir[\t ]*=.*/php)|\17|g" \
     -i scripts/Makefile.frag

sed -E "s|(include_dir[\t ]*=.*php)|\17|g" \
     -i scripts/php-config.in

# systemd service: run php-fpm7 instead of php-fpm
sed -i "s|/php-fpm |/php-fpm7 |" sapi/fpm/php-fpm.service.in
sed -i "s|/run/php-fpm/|/run/php7-fpm/|" sapi/fpm/php-fpm.service.in

# prevent %%doc confusion over LICENSE files
cp Zend/LICENSE Zend/ZEND_LICENSE
cp TSRM/LICENSE TSRM_LICENSE
#cp ext/gd/libgd/README gd_README

%build
#:<< _EOF

EXTENSION_DIR=%{_libdir}/php7/extensions
export EXTENSION_DIR
# Required to set default INCLUDE_PATH with %{_libdir}/php
PEAR_INSTALLDIR="%{_libdir}/php"; export PEAR_INSTALLDIR

_phpconfig="\
   --sysconfdir=%{_sysconfdir}/php7 \
   --libdir=%{_libdir}/php7 \
   --datadir=%{_datadir}/php7 \
   --datarootdir=%{_datadir}/php7 \
   --with-config-file-path=%{_sysconfdir}/php7 \
   --with-config-file-scan-dir=%{_sysconfdir}/php7/php.d \
   --program-suffix=7 \
   --with-libdir=%{_lib} \
   --disable-debug \
   --disable-rpath \
   --with-pic \
   --enable-sockets \
   --with-openssl=shared,%{_prefix} \
   --with-gettext \
   --enable-ftp \
   --with-ldap=shared,%{_prefix} \
   --with-zlib \
   --with-pgsql=shared,%{_prefix} \
   --with-mysql-sock=/run/mysqld/mysql.sock \
   --with-mysqli=shared,mysqlnd \
   --with-pdo-mysql=shared,mysqlnd \
   --with-unixODBC=shared,%{_prefix} \
   --with-imap=shared,%{_libdir}/imap/lib \
   --with-imap-ssl \
   --with-db4=%{_includedir}/db53 \
   --with-xsl=shared \
   --without-pear \
   --with-kerberos \
   --with-bz2 \
   --with-curl \
   --with-xmlrpc \
   --with-zip=shared \
   --with-pdo-odbc=shared,unixODBC,%{_prefix} \
   --with-pdo-pgsql=shared \
   --with-pdo-sqlite=shared \
   --with-sqlite3=shared \
   --enable-pdo=shared \
   --enable-mbstring \
   --enable-calendar \
   --enable-soap \
   --enable-exif \
   --enable-intl \
   --enable-gd \
   --with-external-gd=no
"

# FPM
mkdir build-fpm
cd build-fpm
ln -s ../configure .
%configure \
   ${_phpconfig} \
   --enable-cgi \
   --enable-fpm \
   --with-fpm-systemd \
   --with-fpm-acl \
   --with-fpm-user=nobody \
   --with-fpm-group=nobody \
   --enable-embed=shared

%make
cd ..

# Apache
# reuse the previous run; this will save us a lot of time
cp -a build-fpm build-apache

cd build-apache

%ifarch arm aarch64
# Trick does not work on arm/aarch64
make clean
%endif

%configure \
   ${_phpconfig} \
   --with-apxs2=%{_bindir}/apxs

%make
cd ..

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

make install -C build-fpm INSTALL_ROOT=%{buildroot}/

# Remove installed libphp7.so when no apxr is specified
rm -f %{buildroot}%{_prefix}/lib/libphp%{MAJver}.so

# PHP-fpm systemd files
install -D -m644 build-fpm/sapi/fpm/php-fpm.service %{buildroot}%{_unitdir}/php7-fpm.service
install -D -m644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/php7-fpm.conf

# Configure php-fpm to use /run/php7-fpm
sed -e "s#^listen =.*#listen = /run/php7-fpm/php-fpm.sock#" \
      -e "s#run/php-fpm.pid#/run/php7-fpm/php-fpm.pid#" \
      -i %{buildroot}%{_sysconfdir}/php7/php-fpm.d/www.conf
			
install -D php.ini-production %{buildroot}%{_sysconfdir}/php7/php.ini
sed -i "\
s|\(extension_dir = \).*|\1%{_libdir}/php7/extensions|
s|\(;extension=\)php_\(.*\)dll|\1\2so|g;s|w32api.so|odbc.so|" \
   %{buildroot}%{_sysconfdir}/php7/php.ini

install -m 755 -d %{buildroot}%{_sysconfdir}/php7/php.d
install -m 755 -d %{buildroot}%{_localstatedir}/lib/php7
install -m 700 -d %{buildroot}%{_localstatedir}/lib/php7/session

# generate files lists and stub .ini files for each subpackage
for mod in imap ldap mysqli odbc openssl opcache \
           pdo pdo_mysql pdo_odbc pdo_pgsql pgsql pdo_sqlite sqlite3 xsl zip; do
   cat > %{buildroot}%{_sysconfdir}/php7/php.d/${mod}.ini <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
   cat > files.${mod} <<EOF
%attr(755,root,root) %{_libdir}/php7/extensions/${mod}.so
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/php7/php.d/${mod}.ini
EOF
done

# workaround for Phar
ln -sf %{_bindir}/phar.phar %{buildroot}%{_bindir}/phar

# Apache
install -d -m755 b%{buildroot}%{_libdir}/apache
install -D -m755 build-apache/libs/libphp7.so %{buildroot}%{_libdir}/apache/libphp%{MAJver}.so
install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/php7.conf << _EOF
<FilesMatch \.php$>
    SetHandler application/x-httpd-php
</FilesMatch>
DirectoryIndex index.php
_EOF

# 
# split out the PDO modules
cat files.pdo_mysql  >> files.mysql
cat files.pdo_odbc   >> files.odbc
cat files.pdo_pgsql  >> files.pgsql
cat files.pdo_sqlite >> files.sqlite3

# remove hidden files installed in root directory
rm -rf %{buildroot}/.channels
rm -f %{buildroot}/.depdb
rm -f %{buildroot}/.depdblock
rm -f %{buildroot}/.filemap
rm -f %{buildroot}/.lock

# Remaining conflicts with php 8
rm -f %{buildroot}%{_bindir}/phar

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
%tmpfiles_create_package php7-fpm %{SOURCE2}
:

%preun fpm
%systemd_preun php7-fpm
:

%post fpm
%systemd_post php7-fpm
:

%postun fpm
%systemd_postun_with_restart php7-fpm
:

%post -n apache-mod_php7
if [ $1 -ge 1 ]; then
   # delete PHP type definition in httpd.conf, it is now in httpd.d/php.conf
   sed -i "/AddType application\/x-httpd-php .php/d" /etc/httpd/httpd.conf
   # same for DirectoryIndex directive
   sed -i "s|\(DirectoryIndex .*\)index.php\(.*\)|\1\2|" /etc/httpd/httpd.conf
   %{_bindir}/apxs -e -a -n php%{MAJver} %{_libdir}/apache/libphp%{MAJver}.so > /dev/null
   # do not load the PHP 4 module any more
   sed -i "/^LoadModule[ \t]*php4_module/d" /etc/httpd/httpd.conf
   service httpd condrestart
fi
:

%preun -n apache-mod_php7
if [ $1 -eq 0 ]; then
#erase
   %{_bindir}/apxs -e -A -n php%{MAJver} %{_libdir}/apache/libphp%{MAJver}.so > /dev/null
   sed -i "/AddType application\/x-httpd-php .php/d" /etc/httpd/httpd.conf
   sed -i "s|\(DirectoryIndex .*\)index.php\(.*\)|\1\2|" /etc/httpd/httpd.conf
   service httpd condrestart
fi
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php7
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php7/php.ini
%dir %{_sysconfdir}/php7/php.d
%{_bindir}/php7
%{_bindir}/php-cgi7
%{_bindir}/phpdbg7
%{_bindir}/phar7
%{_bindir}/phar7.phar
%dir %{_libdir}/php7
#%dir %{_libdir}/php7/extensions
%dir %{_libdir}/php7/php/build
%{_libdir}/php7/php/build/*
%{_mandir}/man1/phar7.1*
%{_mandir}/man1/phar7.phar.1*
%{_mandir}/man1/php7.1*
%{_mandir}/man1/php-cgi7.1*
%{_mandir}/man1/phpdbg7.1*
%dir %{_localstatedir}/lib/php7
%dir %{_localstatedir}/lib/php7/session
%doc LICENSE Zend/ZEND_LICENSE TSRM_LICENSE
%doc php.ini-development php.ini-production

%files devel
%defattr(-,root,root)
%{_bindir}/php-config7
%{_bindir}/phpize7
%dir %{_includedir}/php7
%{_includedir}/php7/*
%{_mandir}/man1/php-config7.1*
%{_mandir}/man1/phpize7.1*
#%doc CODING_STANDARDS.md EXTENSIONS README.md NEWS

%files fpm
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/php7/php-fpm.conf
%dir %{_sysconfdir}/php7/php-fpm.d
%config(noreplace) %{_sysconfdir}/php7/php-fpm.d/www.conf
%{_sbindir}/php-fpm7
%{_unitdir}/php7-fpm.service
%{_tmpfilesdir}/php7-fpm.conf
%dir %{_datadir}/php7/fpm
%{_datadir}/php7/fpm/status.html
%{_mandir}/man8/php-fpm7.8*

%files imap -f files.imap
%defattr(-,root,root)

%files ldap -f files.ldap
%defattr(-,root,root)

%files mysql -f files.mysql
%defattr(-,root,root)

%files mysqli -f files.mysqli
%defattr(-,root,root)

%files odbc -f files.odbc
%defattr(-,root,root)

%files opcache -f files.opcache
%defattr(-,root,root)

%files openssl -f files.openssl
%defattr(-,root,root)

%files pdo -f files.pdo
%defattr(-,root,root)

%files pgsql -f files.pgsql
%defattr(-,root,root)

%files sqlite -f files.sqlite3
%defattr(-,root,root)

%files xsl -f files.xsl
%defattr(-,root,root)

%files zip -f files.zip
%defattr(-,root,root)

%files -n apache-mod_php7
%defattr(-,root,root)
%{_libdir}/apache/libphp%{MAJver}.so
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/php7.conf

%changelog
* Sun Feb 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.33-5mamba
- fix for missing space in php-fpm.service.in

* Tue Feb 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.33-4mamba
- fix php7-fpm service file so that it runs php-fpm7
- install headers in %{_includedir}/php7

* Tue Jan 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.33-3mamba
- php-fpm: configure to use alternative rundir /run/php7-fpm

* Mon Jan 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.33-2mamba
- legacy package

* Mon Jan 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.33-1mamba
- update to 7.4.33

* Mon Aug 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.23-1mamba
- update to 7.4.23
- added php-fpm

* Thu Apr 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.15-2mamba
- rebuilt with --with-zip=shared to fix ZipArchive support

* Thu Feb 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.15-1mamba
- update to 7.4.15
- enable external gd

* Tue Nov 24 2020 Automatic Build System <autodist@mambasoft.it> 7.4.13-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 7.4.12-1mamba
- automatic version update by autodist

* Wed Sep 30 2020 Automatic Build System <autodist@mambasoft.it> 7.4.11-1mamba
- automatic version update by autodist

* Wed Sep 02 2020 Automatic Build System <autodist@mambasoft.it> 7.4.10-1mamba
- automatic version update by autodist

* Tue Aug 04 2020 Automatic Build System <autodist@mambasoft.it> 7.4.9-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 7.4.8-1mamba
- automatic version update by autodist

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 7.4.7-1mamba
- automatic version update by autodist

* Fri May 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.6-1mamba
- update to 7.4.6

* Thu May 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 7.3.18-1mamba
- update to 7.3.18

* Wed Feb 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.3.2-1mamba
- update to 7.3.2

* Tue Apr 11 2017 Automatic Build System <autodist@mambasoft.it> 7.1.4-1mamba
- automatic version update by autodist

* Fri Mar 17 2017 Automatic Build System <autodist@mambasoft.it> 7.1.3-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 7.1.2-1mamba
- automatic version update by autodist

* Wed Jan 18 2017 Automatic Build System <autodist@mambasoft.it> 7.1.1-1mamba
- automatic version update by autodist

* Fri Dec 02 2016 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Sat Nov 12 2016 Automatic Build System <autodist@mambasoft.it> 7.0.13-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 7.0.12-1mamba
- automatic version update by autodist

* Wed Sep 14 2016 Automatic Build System <autodist@mambasoft.it> 7.0.11-1mamba
- automatic version update by autodist

* Thu Aug 18 2016 Automatic Build System <autodist@mambasoft.it> 7.0.10-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 7.0.9-1mamba
- automatic version update by autodist

* Wed Jun 22 2016 Automatic Build System <autodist@mambasoft.it> 7.0.8-1mamba
- automatic version update by autodist

* Thu May 26 2016 Automatic Build System <autodist@mambasoft.it> 7.0.7-1mamba
- automatic version update by autodist

* Wed Apr 27 2016 Automatic Build System <autodist@mambasoft.it> 7.0.6-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Wed Mar 02 2016 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic version update by autodist

* Wed Feb 24 2016 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Thu Feb 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-3mamba
- fix lost fix for php7 httpd.conf configuration 

* Wed Jan 06 2016 Automatic Build System <autodist@mambasoft.it> 7.0.2-2mamba
- automatic version update by autodist

* Wed Jan 06 2016 Automatic Build System <autodist@mambasoft.it> 7.0.2-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 5.6.16-1mamba
- automatic version update by autodist

* Thu Oct 29 2015 Automatic Build System <autodist@mambasoft.it> 5.6.15-1mamba
- automatic version update by autodist

* Fri Oct 02 2015 Automatic Build System <autodist@mambasoft.it> 5.6.14-1mamba
- automatic version update by autodist

* Fri Sep 04 2015 Automatic Build System <autodist@mambasoft.it> 5.6.13-1mamba
- automatic version update by autodist

* Fri Aug 07 2015 Automatic Build System <autodist@mambasoft.it> 5.6.12-1mamba
- automatic version update by autodist

* Fri Jul 10 2015 Automatic Build System <autodist@mambasoft.it> 5.6.11-1mamba
- automatic version update by autodist

* Fri Jun 12 2015 Automatic Build System <autodist@mambasoft.it> 5.6.10-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 5.6.9-1mamba
- automatic version update by autodist

* Sat May 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.8-2mamba
- rebuilt with --with-mysql-sock=/run/mysqld/mysql.sock (mariadb)

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 5.6.8-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.7-2mamba
- rebuilt with mariadb 5.5.42

* Fri Mar 27 2015 Automatic Build System <autodist@mambasoft.it> 5.6.7-1mamba
- automatic version update by autodist

* Fri Feb 20 2015 Automatic Build System <autodist@mambasoft.it> 5.6.6-1mamba
- automatic version update by autodist

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.5-2mamba
- rebuilt with exif and intl enabled
- fix default INCLUDE_PATH after splitting php-pear

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Sat Dec 27 2014 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Fri Oct 03 2014 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Thu Aug 28 2014 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 5.5.16-1mamba
- automatic version update by autodist

* Thu Jul 24 2014 Automatic Build System <autodist@mambasoft.it> 5.5.15-1mamba
- automatic version update by autodist

* Thu Jun 26 2014 Automatic Build System <autodist@mambasoft.it> 5.5.14-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 5.5.13-1mamba
- automatic version update by autodist

* Thu May 01 2014 Automatic Build System <autodist@mambasoft.it> 5.5.12-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 5.5.11-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 5.5.10-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 5.5.9-1mamba
- automatic version update by autodist

* Wed Jan 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.8-2mamba
- rebuilt with system libgd 2.1.0

* Wed Jan 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.8-1mamba
- update to 5.5.8

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 5.5.6-1mamba
- automatic version update by autodist

* Thu Oct 17 2013 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Fri Sep 20 2013 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 5.5.2-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- update to 5.5.1

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 5.4.17-1mamba
- update to 5.4.17

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 5.4.16-1mamba
- automatic version update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 5.4.15-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 5.4.14-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.13-2mamba
- sync with 5.4.13 formerly present in devel-makedist
- removed requirements for pear-PHP_Archive

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.13-1mamba
- update to 5.4.13

* Wed Mar 13 2013 Davide Madrisan <davide.madrisan@gmail.com> 5.4.12-2mamba
- rebuilt by adding `--with-config-file-scan-dir=%{_sysconfdir}/php.d'
- create a .ini file for each php extension
- move manpages for php-config and phpize to the devel package
- build requires libaprutil-devel and pear-PHP_Archive
- build with `--with-sqlite3=shared'

* Sat Feb 23 2013 Automatic Build System <autodist@mambasoft.it> 5.4.12-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.11-3mamba
- addded --enable-pdo=shared to fix pdo_sqlite

* Mon Feb 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.11-2mamba
- updated php.conf for apache 2.4
- remove old extension=sqlite.so from php.ini

* Thu Jan 17 2013 Automatic Build System <autodist@mambasoft.it> 5.4.11-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 5.4.10-1mamba
- automatic version update by autodist

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 5.4.9-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 5.4.8-1mamba
- automatic version update by autodist

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 5.4.7-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.17-1mamba
- update to 5.3.17
- added --enable-zip

* Sat May 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.13-1mamba
- update to 5.3.13
- built with apache 2.4.2

* Sun Oct 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.17-1mamba
- update to 5.2.17
- added soap extension

* Tue Jul 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.14-1mamba
- update to 5.2.14

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.13-1mamba
- update to 5.2.13

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-5mamba
- fix extension_dir if wrong in php.ini

* Tue Mar 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-4mamba
- php.ini: fix extension_dir setting in sample configuration

* Sat Feb 06 2010 Davide Madrisan <davide.madrisan@gmail.com> 5.2.11-3mamba
- fix the value of extensiondir via the EXTENSION_DIR environment variable
- own %{_libdir}/php/extensions

* Tue Oct 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-2mamba
- added security patch for BID#36554 and 36555 (http://www.securityfocus.com/bid/36555)

* Tue Oct 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.11-1mamba
- update to 5.2.11

* Sun Jun 21 2009 Automatic Build System <autodist@mambasoft.it> 5.2.10-1mamba
- automatic update to 5.2.10 by autodist

* Thu Jun 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-6mamba
- rebuilt in devel (remove dependency on libxcb-xlib)
- added --enable-calendar configure option

* Wed Jun 10 2009 Fabio Giani <fabio.giani@gmail.com> 5.2.9-5mamba
- added MySQLi support
- added a buildrequirement for libaprutil-devel

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 5.2.9-4mamba
- automatic rebuild by autodist

* Thu May 21 2009 Automatic Build System <autodist@mambasoft.it> 5.2.9-3mamba
- automatic rebuild by autodist

* Fri Mar 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-2mamba
- rebuilt with --enable-mbstring (required by SugarCE)

* Wed Feb 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-1mamba
- automatic update to 5.2.9 by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.8-2mamba
- rebuilt with --enable-sockets

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.8-1mamba
- automatic update to 5.2.8 by autodist

* Thu May 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.6-1mamba
- update to 5.2.6

* Wed Feb 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.5-2mamba
- PDO database extensions enabled for ODBC, MySql, SqLite and Postgresql
- added php-sqlite subpackage

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.5-1mamba
- update to 5.2.5

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.4-1mamba
- update to 5.2.4
- hardening patch removed
- xmlrpc feature enabled

* Fri Oct 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.5-2qilnx
- added a build requirements for libe2fs-devel

* Thu Aug 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.5-1qilnx
- update to version 5.1.5 by autospec
- this version fixes several security issues (bugtraq#62,#101)

* Tue May 09 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.4-1qilnx
- update to version 5.1.4 by autospec

* Mon Mar 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 5.1.2-2qilnx
- apache-mod_php prerequires apr-1-config and apu-1-config

* Thu Mar 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.2-1qilnx
- update to version 5.1.2 by autospec

* Wed Oct 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0.5-2qilnx
- buildrequires /usr/sbin/sendmail

* Mon Sep 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 5.0.5-1qilnx
- update to version 5.0.5 by autospec
- added last available patch from the Hardened-PHP Project
- updated pear.php.net packages (HTTP, Mail, and Net_SMTP)
- apache configuration: remove loading of the PHP4 module
- dinamically get the version of the installed apache server (apache_ver)

* Wed Jun 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-2qilnx
- disable modules in php.ini by default; will be enabled by module packages installation scripts

* Tue Jun 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-1qilnx
- update to version 5.0.4 by autospec

* Fri Jun 10 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.11-2qilnx
- added pluggable configuration for Apache (/etc/httpd/httpd.d/php.conf)

* Mon Apr 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.11-1qilnx
- update to version 4.3.11 by autospec
- also fix security issues QSA-2005-048 (CAN-2004-1392, CAN-2005-[1042,1043])
- fixed package groups
- added PEAR packages omitted from the 4.3.11 tarball
- fixed package license

* Tue Feb 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.10-1qilnx
- update to version 4.3.10 by autospec

* Thu Dec 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.9-2qilnx
- fix requirement for apache_modphp: version = php_ver, not >=

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.9-1qilnx
- new version build
- removed libdb.so dependency

* Mon Aug 02 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.8-3qilnx
- really use external libgd (in 4.3.8-2 it was still using the builtin library)

* Wed Jul 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.8-2qilnx
- rebuild with new libgd version
- use external mysql and gd libraries (don't use PHP's builtin)

* Mon Jul 19 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.8-1qilnx
- new version rebuild
- fixes security issues: CAN-2004-0594, CAN-2004-0595

* Wed Apr 21 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.6-1qilnx
- new version rebuild

* Wed Apr 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.3.5-1qilnx
- new version rebuild

* Tue Feb 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-3qilnx
- added apache-mod_php requirement of php
- fixed AddType line configuration in httpd.conf  
- shared extensions enabled 

* Tue Dec 23 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-2qilnx
- added libmcrypt support

* Thu Dec 18 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4-1qilnx
- new version rebuild
- added xslt support
- added imap-ssl support

* Tue Sep 09 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-1qilnx
- rebuilt with gettext support

* Tue Jun 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.3.2-2qilnx
- added default php.ini

* Wed Jun 04 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 4.3.2-1qilnx
- creation of php package
